Package org.gradle.language.assembler.tasks

## Class Assemble

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.assembler.tasks.Assemble

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @Incubating
      @DisableCachingByDefault(because="Not made cacheable, yet")
      public abstract class Assemble
      extends DefaultTask

  Translates Assembly language source files into object files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Assemble()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `assemble()` |
    `java.util.List<java.lang.String>` | `getAssemblerArgs()` | Additional arguments to provide to the assembler.
    `protected org.gradle.internal.file.Deleter` | `getDeleter()` |
    `ConfigurableFileCollection` | `getIncludes()` | Returns the header directories to be used for compilation.
    `java.io.File` | `getObjectFileDir()` | The directory where object files will be generated.
    `org.gradle.internal.operations.logging.BuildOperationLoggerFactory` | `getOperationLoggerFactory()` |
    `ConfigurableFileCollection` | `getSource()` |
    `Property<NativePlatform>` | `getTargetPlatform()` | The platform being compiled for.
    `Property<NativeToolChain>` | `getToolChain()` | The tool chain used for compilation.
    `void` | `includes​(java.lang.Object includeRoots)` | Add directories where the compiler should search for header files.
    `void` | `setAssemblerArgs​(java.util.List<java.lang.String> assemblerArgs)` |
    `void` | `setObjectFileDir​(java.io.File objectFileDir)` |
    `void` | `source​(java.lang.Object sourceFiles)` | Adds a set of assembler sources files to be translated.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### Assemble

          @Inject
          public Assemble()

  - ### Method Detail

    - #### getOperationLoggerFactory

          @Inject
          public org.gradle.internal.operations.logging.BuildOperationLoggerFactory getOperationLoggerFactory()

    - #### getDeleter

          @Inject
          protected org.gradle.internal.file.Deleter getDeleter()

    - #### assemble

          public void assemble()

    - #### getSource

          @InputFiles
          @SkipWhenEmpty
          @IgnoreEmptyDirectories
          @PathSensitive(RELATIVE)
          public ConfigurableFileCollection getSource()

    - #### source

          public void source​(java.lang.Object sourceFiles)

      Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per `Project.files(Object...)`.

    - #### getAssemblerArgs

          @Input
          public java.util.List<java.lang.String> getAssemblerArgs()

      Additional arguments to provide to the assembler.

    - #### setAssemblerArgs

          public void setAssemblerArgs​(java.util.List<java.lang.String> assemblerArgs)

    - #### getToolChain

          @Internal
          public Property<NativeToolChain> getToolChain()

      The tool chain used for compilation.
      Since:
        4.7

    - #### getTargetPlatform

          public Property<NativePlatform> getTargetPlatform()

      The platform being compiled for.
      Since:
        4.7

    - #### getObjectFileDir

          @OutputDirectory
          public java.io.File getObjectFileDir()

      The directory where object files will be generated.

    - #### setObjectFileDir

          public void setObjectFileDir​(java.io.File objectFileDir)

    - #### getIncludes

          @PathSensitive(RELATIVE)
          @InputFiles
          public ConfigurableFileCollection getIncludes()

      Returns the header directories to be used for compilation.
      Since:
        4.4

    - #### includes

          public void includes​(java.lang.Object includeRoots)

      Add directories where the compiler should search for header files.
      Since:
        4.4